
Figure - Bug #113471
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现CRASH: com.android.settings（9）
2022-11-01 14:52 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-08

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-09

Test Type: Monkey Test Root cause: 部分Preference的Key为空，需要做判空判断

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 09:51:04.458  6173 22850 W Monkey  : // CRASH: com.android.settings (pid 18826)

10-28 09:51:04.458  6173 22850 W Monkey  : // Short Msg: java.lang.NullPointerException

10-28 09:51:04.458  6173 22850 W Monkey  : // Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

java.lang.String.equals(java.lang.Object)' on a null object reference

10-28 09:51:04.458  6173 22850 W Monkey  : // Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1230:userdebug/test-keys

10-28 09:51:04.458  6173 22850 W Monkey  : // Build Changelist: 1230

10-28 09:51:04.459  6173 22850 W Monkey  : // Build Time: 1666894340000

10-28 09:51:04.459  6173 22850 W Monkey  : // java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

java.lang.String.equals(java.lang.Object)' on a null object reference

10-28 09:51:04.459  6173 22850 W Monkey  : //     at com.android.settings.wifi.WifiSettings.onPreferenceTreeClick(WifiSettings.java:600)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at androidx.preference.Preference.performClick(Preference.java:1194)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at androidx.preference.Preference.performClick(Preference.java:1168)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at androidx.preference.Preference$1.onClick(Preference.java:181)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.view.View.performClick(View.java:7441)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.view.View.performClickInternal(View.java:7418)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.view.View.access$3700(View.java:835)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.view.View$PerformClick.run(View.java:28681)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.os.Handler.handleCallback(Handler.java:938)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.os.Handler.dispatchMessage(Handler.java:99)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.os.Looper.loopOnce(Looper.java:201)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.os.Looper.loop(Looper.java:288)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at java.lang.reflect.Method.invoke(Native Method)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

10-28 09:51:04.459  6173 22850 W Monkey  : //     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

10-28 09:51:04.459  6173 22850 W Monkey  : // 
History

#1 - 2022-11-01 16:06 - CD Test赵飞

日志见Bug #113456 附件

#2 - 2022-11-03 10:38 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-04

- Root cause set to 设定相关Activity被销毁，但是fragment没有，导致获取getActivity或getContext为空。添加Activity销毁时移除fragment的动作，同时优

化fragment启动的操作

已修复, 代码已入库

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159676

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

Monkey问题，本地无法测试，待下次Monkey测试时验证

#3 - 2022-11-07 11:17 - CD Test赵飞

- Status changed from RESOLVED to ASSIGNED

- % Done changed from 100 to 40

11月4号DB版本跑Monkey 60小时，此问题复现3次

共有4台设备执行Monkey（2台debug版本 + 2台user版本）

问题在2台设备中复现3次，其他设备中未复现此问题

日志见Bug #113470 附件

#4 - 2022-11-08 17:31 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 40 to 100

- Fixed Version changed from 2022-11-04 to 2022-11-09

- Root cause changed from 设定相关Activity被销毁，但是fragment没有，导致获取getActivity或getContext为空。添加Activity销毁时移除fragment的动作，同时

优化fragment启动的操作 to 部分Preference的Key为空，需要做判空判断

代码已入库

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/160565

#5 - 2022-11-08 17:31 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

#6 - 2022-11-10 11:24 - CD Test赵飞

- % Done changed from 100 to 70
11月9号DB版本未复现此问题

Monkey问题，继续跟踪2个版本

#7 - 2022-11-11 10:21 - CD Test赵飞

11月10号Release版本未复现此问题

Monkey问题，继续跟踪1个版本

#8 - 2022-11-14 10:49 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月11号DB版本未复现此问题

已跟踪3个版本未复现，关闭此问题

#9 - 2022-11-14 10:49 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100
